<div class="title">
	<h5>{#mod_title#}</h5>
</div>

<div class="widget" style="margin-top: 0px;">
	<div class="body">
		{#mod_description#}
	</div>
</div>

<div class="breadCrumbHolder module">
	<div class="breadCrumb module">
		<ul>
			<li class="firstB"><a href="index.php" title="{#MAIN_PAGE#}">{#MAIN_PAGE#}</a></li>
			<li><a href="index.php?do=modules&cp={$sess}">{#MODULES_SUB_TITLE#}</a></li>
			<li>{#mod_title#}</li>
		</ul>
	</div>
</div>

<div class="widget first">
	<ul class="tabs">
		<li class="activeTab">
			<a href="#tab1">{#mod_list_works#}</a>
		</li>
		<li class="">
			<a href="#tab2">{#mod_add_work#}</a>
		</li>
		<div class="num">
			<a class="greenNum clearLogs" href="index.php?do=modules&action=modedit&mod=workdocs&moduleaction=all&cp={$sess}">{#mod_clear_all_logs#}</a>
		</div>
	</ul>
	<div class="tab_container">
		<div id="tab1" class="tab_content" style="display: block;">
			<table cellpadding="0" cellspacing="0" width="100%" class="tableStatic mainForm">
		        {if $works}
				<col width="30" />
				<col />
				<col width="150" />
				<col width="250" />
				<col width="10" />
				<col width="10" />
				<col width="10" />
				<thead>
				<tr>
					<td>{#mod_main_table_th_id#}</td>
					<td>{#mod_main_table_th_name#}</td>
					<td>{#mod_main_table_th_run#}</td>
					<td>{#mod_main_table_th_rub#}</td>
					<td colspan="4">{#mod_main_table_th_actions#}</td>
				</tr>
				</thead>
				<tbody>
		        {foreach from=$works item=work}
					<tr>
						<td align="center">
							<strong class="code">{$work.id}</strong>
						</td>
						<td>
							<a class="topDir" title="{#mod_main_table_btn_edit#}" href="index.php?do=modules&action=modedit&mod=workdocs&moduleaction=edit&work_id={$work.id}&cp={$sess}"><strong>{$work.title|escape}</strong></a>
							{if $work.description}<br><small>{$work.description}</small>{/if}
						</td>
						<td align="center" class="col-time">
							{if $work.last_run}<span class="date_text dgrey">{$work.last_run|date_format:$TIME_FORMAT|pretty_date}</span>{/if}
						</td>
						<td align="center">
							<strong class="code">
                            {foreach from=$rubrics item=rubric}
								{if $work.rubric_id == $rubric.Id}{$rubric.rubric_title|escape}{/if}
                            {/foreach}
							</strong>
						</td>
						<td width="1%" align="center">
							<a class="topDir icon_sprite ico_start" title="{#mod_main_table_btn_run#}" href="index.php?do=modules&action=modedit&mod=workdocs&moduleaction=run&work_id={$work.id}&cp={$sess}"></a>
						</td>
						<td width="1%" align="center">
							<a class="topDir icon_sprite ico_navigation" title="{#mod_main_table_btn_logs#}" href="index.php?do=modules&action=modedit&mod=workdocs&moduleaction=log&work_id={$work.id}&cp={$sess}"></a>
						</td>
						<td width="1%" align="center">
							<a class="topDir icon_sprite ico_setting" title="{#mod_main_table_btn_settings#}" href="index.php?do=modules&action=modedit&mod=workdocs&moduleaction=edit&work_id={$work.id}&cp={$sess}"></a>
						</td>
						<td width="1%" align="center">
							<a class="topDir icon_sprite ico_delete Delete" title="{#mod_main_table_btn_del#}" href="index.php?do=modules&action=modedit&mod=workdocs&moduleaction=del&work_id={$work.id}&cp={$sess}"></a>
						</td>
					</tr>
		        {/foreach}
		        {else}
				<tr>
					<td align="center" colspan="7">
						<ul class="messages">
							<li class="highlight yellow">{#mod_main_table_no_records#}</li>
						</ul>
					</td>
				</tr>
		        {/if}
				</tbody>
			</table>
		</div>

		<div id="tab2" class="tab_content" style="display: none;">
			<form id="addNewForm" method="post" action="index.php?do=modules&action=modedit&mod=workdocs&moduleaction=new&cp={$sess}" class="mainForm">
				<table cellpadding="0" cellspacing="0" width="100%" class="tableStatic">
					<col width="300">
					<col>
					<tr>
						<td>{#mod_main_table_th_name#}</td>
						<td><input name="title" type="text" id="title" value="" placeholder="" style="width: 400px" autocomplete="off"></td>
					</tr>
					<tr>
						<td>{#mod_main_table_th_desc#}</td>
						<td><input name="description" type="text" id="description" value="" placeholder="" autocomplete="off"></td>
					</tr>
					<tr>
						<td>{#mod_main_table_th_rubdocs#}</td>
						<td>
							<select id="rubric_id" name="rubric_id" class="mousetrap">
								<option value="">{#mod_main_table_th_selrub#}</option>
                                {foreach from=$rubrics item=rubric}
									<option value="{$rubric.Id}">{$rubric.rubric_title|escape}</option>
                                {/foreach}
							</select>
						</td>
					</tr>
					<tr>
						<td colspan="2">
							<button type="submit" class="basicBtn AddWork">{#mod_main_table_btn_add#}</button>
						</td>
					</tr>
				</table>
			</form>
		</div>
	</div>

	<div class="fix"></div>
</div>

<script type="text/javascript" src="{$ABS_PATH}modules/workdocs/js/workdocs.js"></script>


	<script type="text/javascript" language="JavaScript">
		var del_confirm = '{#mess_del_confirm#}',
			del_title = '{#mess_del_title#}',
			clear_confirm = '{#mess_clear_confirm#}',
			clear_title = '{#mess_clear_title#}',
			error_mesage_rubric_id = '{#mess_error_mesage_rubric_id#}',
			error_header_rubric_id = '{#mess_error_header_rubric_id#}';

{literal}
		$(document).ready(function() {
			"use strict";
			ModuleWorkDocs.init();
			ModuleWorkDocs.index();
		});
{/literal}
	</script>
